<div class="container-fluid mt-0 mb-5 pl-0 pr-0">  
  <form #referntialIntegrityListForm="ngForm">
    <ejs-grid #RIListGrid [dataSource]="RIRules | filter:searchtxt:['data_layer_nm', 'obj_nm', 'attr_nm', 'bk_attr_nm', 'rule_desc', 'visual_rule_desc', 'ri_data_layer_nm', 'ri_obj_nm', 'ri_attr_nm']
     | arrayFilter:layerToFilter:['data_layer_id']:filterMetadata 
     | arrayFilter:objToFilter:['obj_id']:filterMetadata 
     | arrayFilter:attrToFilter:['attr_id']:filterMetadata 
     | arrayFilter:ruleToFilter:['mstr_rule_id']:filterMetadata
     | arrayFilter:severityToFilter:['rule_svrt']:filterMetadata 
     | arrayFilter:statusToFilter:['is_rule_actv']:filterMetadata"
     (dataBound)="onRIListGridDataBound()"  [allowPaging]="true" [allowSorting]="true" [showColumnChooser]="true" [toolbar]="gridToolbar" [pageSettings]="gridPageSettings" [allowTextWrap]="true">
      <e-columns>
        <e-column type='checkbox' [allowFiltering]='false' [allowSorting]='false' width='60'></e-column>
        <e-column field="data_layer_nm" headerText={{riFormContent.ruleListColumn.objLayerNm}}>
          <ng-template #template let-RIRules>
            <span title="{{RIRules.data_layer_nm}}">
              {{RIRules.data_layer_nm !== null && RIRules.data_layer_nm?.length > 25 ? RIRules.data_layer_nm.slice(0,25).concat("...") : RIRules.data_layer_nm}}
            </span>
          </ng-template>
        </e-column>
        <e-column field="obj_nm" headerText={{riFormContent.ruleListColumn.objNm}}>
          <ng-template #template let-RIRules>
            <span title="{{RIRules.obj_nm}}">
              {{RIRules.obj_nm !== null && RIRules.obj_nm?.length > 25 ? RIRules.obj_nm.slice(0,25).concat("...") : RIRules.obj_nm}}
            </span>
          </ng-template>
        </e-column>
        <e-column field="attr_nm" headerText="{{riFormContent.ruleListColumn.attrNm}}">
          <ng-template #template let-RIRules>
            <span title="{{RIRules.attr_nm}}">
              {{RIRules.attr_nm !== null && RIRules.attr_nm?.length > 25 ? RIRules.attr_nm.slice(0,25).concat("...") : RIRules.attr_nm}}
            </span>
          </ng-template>
        </e-column>
        <!-- <e-column field="bk_attr_nm" title="bk_attr_nm" headerText="{{riFormContent.ruleListColumn.reportCols}}"></e-column> -->
        <e-column field="bk_attr_nm" title="bk_attr_nm" headerText="{{riFormContent.ruleListColumn.reportCols}}">
          <ng-template #template let-RIRules>
            <span title="{{RIRules.bk_attr_nm}}">
              {{RIRules.bk_attr_nm !== null && RIRules.bk_attr_nm?.length > 25 ? RIRules.bk_attr_nm.slice(0,25).concat("...") : RIRules.bk_attr_nm}}
            </span>
          </ng-template>
        </e-column>
        <e-column field="ri_data_layer_nm" headerText={{riFormContent.ruleListColumn.refLayerNm}}>
          <ng-template #template let-RIRules>
            <span title="{{RIRules.ri_data_layer_nm}}">
              {{RIRules.ri_data_layer_nm !== null && RIRules.ri_data_layer_nm?.length > 25 ? RIRules.ri_data_layer_nm.slice(0,25).concat("...") : RIRules.ri_data_layer_nm}}
            </span>
          </ng-template>
        </e-column>
        <e-column field="ri_obj_nm" headerText={{riFormContent.ruleListColumn.refObjNm}}>
          <ng-template #template let-RIRules>
            <span title="{{RIRules.ri_obj_nm}}">
              {{RIRules.ri_obj_nm !== null && RIRules.ri_obj_nm?.length > 25 ? RIRules.ri_obj_nm.slice(0,25).concat("...") : RIRules.ri_obj_nm}}
            </span>
          </ng-template>
        </e-column>
        <e-column field="ri_attr_nm" headerText="{{riFormContent.ruleListColumn.refArrtNm}}">
          <ng-template #template let-RIRules>
            <span title="{{RIRules.ri_attr_nm}}">
              {{RIRules.ri_attr_nm !== null && RIRules.ri_attr_nm?.length > 25 ? RIRules.ri_attr_nm.slice(0,25).concat("...") : RIRules.ri_attr_nm}}
            </span>
          </ng-template>
        </e-column>
        <e-column field="rule_desc" title="rule_desc" headerText="{{riFormContent.ruleListColumn.ruleDescription}}">
          <ng-template #template let-RIRules >
            <span title="{{RIRules.rule_desc}}">
              {{RIRules.rule_desc !== null && RIRules.rule_desc?.length > 25 ? RIRules.rule_desc.slice(0,25).concat("...") : RIRules.rule_desc}}
            </span>
          </ng-template>
        </e-column>
        <e-column field="is_rule_actv" headerText="{{riFormContent.ruleListColumn.status}}" width='100'
        class="justify-content-center">
          <ng-template #template let-RIRules>
            <div class="switch">
              {{RIRules.is_rule_actv?'Yes':''}}
              <ejs-switch [checked]="RIRules.is_rule_actv" [disabled]="true"></ejs-switch>
              {{RIRules.is_rule_actv?'':'No'}}
            </div>
          </ng-template>
        </e-column>
        <e-column field="rule_svrt" headerText="{{riFormContent.ruleListColumn.severity}}" width='130'>
          <ng-template #template let-RIRules>
            <span title="{{RIRules.rule_svrt}}">
              {{RIRules.rule_svrt !== null && RIRules.rule_svrt?.length > 25 ? RIRules.rule_svrt.slice(0,25).concat("...") : RIRules.rule_svrt}}
            </span>
          </ng-template>
        </e-column>
        <e-column headerText="{{riFormContent.ruleListColumn.editCommands}}" [commands]="gridCommands" width='85'
          textAlign="Center"></e-column>
      </e-columns>
    </ejs-grid>
  </form>
  <span class="d-flex float-right top-minus-42" id="customPagerTemplate">
    <span class="text-dark ml-5 mr-2 mt-2 pt-1">Results Per Page</span>
    <span class="mt-1">
      <ejs-dropdownlist name="pageSize" cssClass="e-outline" [dataSource]="['All', '5', '10', '20', '30', '50', '100']"
        value="5" (change)="changePageSize($event)" width="75px">
      </ejs-dropdownlist>
    </span>
  </span>
</div>
<span *ngIf="active">
  <span id="showRIResultsCount" class="top-minus-5">
    <span class="text-muted">{{(RIListGrid.pageSettings.currentPage-1)*RIListGrid.pageSettings.pageSize+1}}
      - {{filterMetadata.count > RIListGrid.pageSettings.currentPage*RIListGrid.pageSettings.pageSize ? RIListGrid.pageSettings.currentPage*RIListGrid.pageSettings.pageSize : filterMetadata.count}}</span>
  </span>
  <span id="addRIRuleTemplate" class="mr-0 top-minus-5">
    <button class="iconTextButton btn btn-primary" data-ripple="true"
      aria-label="Add New Referential Integrity Rule">
      <img src="assets/images/novartis/add.svg" alt="Add New Rule"/>{{dataQualityContent.addNewRule}}</button>
  </span>
  <span id="exportRITemplate" class="mr-1 top-minus-5">
    <button class="iconButton btn btn-primary" data-ripple="true"
      aria-label="Export Referential Integrity Rules">
      <img src="assets/images/novartis/upload.svg" alt="Import Rules"/>
    </button>
  </span>
  <span id="columnChooserTemplateRI" class=" mr-0 top-minus-8">
    <button class="iconButton btn btn-primary" data-ripple="true"
      aria-label="Choose Columns To be Displayed">
      <img src="assets/images/novartis/column.svg" alt="Choose Columns"/>
    </button>
  </span>
</span>
<ejs-dialog #addNewRIRuleDialog
  [header]="isRuleEditMode?riFormContent.dialogForm.editRuleHeader:riFormContent.dialogForm.addRuleHeader"
  [buttons]="dlgButtons" [visible]="false" [isModal]="true" [position]="position" showCloseIcon="true"
  [animationSettings]="dlgAnimationSettings" (close)="modalDlgClose()">
  <ng-template #content>
    <app-referential-integrity-form #referentialIntegrityFormComponent
      (latestRuleIdEmitter)="updateLatestRuleId($event)">
    </app-referential-integrity-form>
  </ng-template>
</ejs-dialog>